/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package mdeckers.thesis.uantwerp.model;

import java.rmi.server.UID;
import java.util.Objects;

/**
 *
 * @author Michael
 */
public class Component {
    public UID ID;
    String name;
    int library;
    
    public Component(){
        this.ID = new UID();
        this.name = "new component";
        library = 0;
    }
    
    /**
     * 
     * @return 0 if not library, 1 if library root, 2 if library common
     */
    public int isLibary(){
        return library;
    }
    
    /**
     * 
     * @param library 0 if not library, 1 if library root, 2 if library common
     */
    public void setLibrary(int library){
        this.library = library;
    }
    
    public String getName(){
        return name;
    }
    
    public void setName(String name){
        this.name = name;
    }
    
    @Override
    public String toString(){
        return name;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 59 * hash + Objects.hashCode(this.ID);
        return hash;
    }
    
    @Override
    public boolean equals(Object o){
        if (o instanceof Component){
            Component c = (Component) o;
            if (c.ID.equals(this.ID)){
                return true;
            } else {
                return false;
            }
        } else {
            return false;
        }
    }
}
