/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package mdeckers.thesis.uantwerp.compiler;

import java.io.File;
import java.util.ArrayList;

/**
 *
 * @author Michael
 */
public class FileGetter {
    
    public static String atomicExtension = "adevs";
    public static String coupledExtension = "cdevs";
    public static String messageExtension = "devsmessage";
    
    public static ArrayList generateFileList(String location) {
        File folder = new File(location);
        ArrayList<File> allFiles = new ArrayList();

        addFilesFromDirectory(folder, allFiles);
        
        return allFiles;
    }
    

    private static void addFilesFromDirectory(File folder, ArrayList allFiles) {
        File[] listOfFiles = folder.listFiles();
        for (int i = 0; i < listOfFiles.length; i++){
            if (listOfFiles[i].isFile()){
                String extension = getExtension(listOfFiles[i].getName());
                if (extension.equals(atomicExtension) || extension.equals(coupledExtension) || extension.equals(messageExtension))
                    allFiles.add(listOfFiles[i]);
            } else if (listOfFiles[i].isDirectory()) {
                addFilesFromDirectory(listOfFiles[i], allFiles);
            }
        }
    }
    
    public static String getExtension(String name){
        int index = name.lastIndexOf('.');
        String extension = name.substring(index+1);
        return extension;
    }
}
