/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package mdeckers.thesis.uantwerp.gui.main;

import java.awt.Color;
import javax.swing.JTextPane;
import javax.swing.text.BadLocationException;
import javax.swing.text.Style;
import javax.swing.text.StyleConstants;
import javax.swing.text.StyledDocument;

/**
 *
 * @author Michael
 */
public class Log {
    
    private static JTextPane console;
    
    public static void setConsole(JTextPane c){
        console = c;
    }
    
    public static void message(String message){
        StyledDocument doc = console.getStyledDocument();

        Style style = console.addStyle("I'm a Style", null);
        StyleConstants.setForeground(style, Color.black);
        
        try { doc.insertString(0, message + "\n" ,style); }
        catch (BadLocationException e){}
    }
    
    public static void warning(String message){
        StyledDocument doc = console.getStyledDocument();

        Style style = console.addStyle("I'm a Style", null);
        StyleConstants.setForeground(style, Color.orange);

        try { doc.insertString(0, message + "\n",style); }
        catch (BadLocationException e){}
    }
    
    public static void error(String message){
        StyledDocument doc = console.getStyledDocument();

        Style style = console.addStyle("I'm a Style", null);
        StyleConstants.setForeground(style, Color.red);

        try { doc.insertString(0, message + "\n",style); }
        catch (BadLocationException e){}
    }
    
    public static void clear(){
        console.setText("");
    }
}
