/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package mdeckers.thesis.uantwerp.model;

import java.io.File;
import java.util.ArrayList;
import mdeckers.thesis.uantwerp.model.persistence.MessagePersistence;

/**
 *
 * @author Michael
 */
public class Message extends Component{
    
    private ArrayList<String> parameters;
    private int params;
    private MessagePersistence persistence;
    
    public Message(File file){
        this.persistence = new MessagePersistence(file, this);
        
        this.name = "new Message";
        parameters = new ArrayList();
        readFile(file);
    }
    
    public Message(ArrayList<String> lines){
        //this.persistence = new MessagePersistence(file, this);
        
        this.name = "new Message";
        parameters = new ArrayList();
        readFile(lines);
    }
    
    public Message(String file){
        this.persistence = new MessagePersistence(new File(file), this);
        
        this.name = "new Message";
        parameters = new ArrayList();

    }
    
    public void save(){
        persistence.persist();
    }

    private void readFile(File file) {
        params = 0;
        parameters.clear();
        
        ArrayList<String> lines = Project.readFromFile(file);
        if (lines == null)
            return;
        
        for (int i = 0; i < lines.size(); i++){
            treatLine(lines.get(i));
        }
    }
    
    private void readFile(ArrayList<String> lines) {
        params = 0;
        parameters.clear();
        
        if (lines == null)
            return;
        
        for (int i = 0; i < lines.size(); i++){
            treatLine(lines.get(i));
        }
    }
    
    private void treatLine(String line) {
        if (line.trim().length() > 0){
            if (line.contains("[name")){
                this.name = line.substring(line.indexOf("=")+1, line.lastIndexOf("]")).trim();
            } else if (line.contains("[parameters]")){
                params = 1;
            } else if (params == 1) {
                parameters.add(line.trim());
            }
        }
    }
    
    public ArrayList<String> getParameters(){
        return parameters;
    }
    
    public void setParameters(ArrayList<String> parameters){
        this.parameters = parameters;
    }
    
    public void setName(String name){
        this.name = name;
    }
    
    
    
}
