/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package mdeckers.thesis.uantwerp.model.persistence;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.PrintWriter;
import java.io.UnsupportedEncodingException;
import java.util.logging.Level;
import java.util.logging.Logger;
import mdeckers.thesis.uantwerp.model.Message;

/**
 *
 * @author Michael
 */
public class MessagePersistence {
    
    Message message;
    File file;
    
    public MessagePersistence(File file, Message message){
        this.file = file;
        this.message = message;
    }
    
    public void persist () {
        PrintWriter writer = null;
        try {
            writer = new PrintWriter(file, "UTF-8");
            
            writer.write("[name = " + message.getName() + "]\n\n");
            
            writer.write("[parameters]\n");
            
            for (String s : message.getParameters())
                writer.write(s + "\n");
            
            
            writer.close();
        } catch (FileNotFoundException ex) {
            Logger.getLogger(MessagePersistence.class.getName()).log(Level.SEVERE, null, ex);
        } catch (UnsupportedEncodingException ex) {
            Logger.getLogger(MessagePersistence.class.getName()).log(Level.SEVERE, null, ex);
        } finally {
            writer.close();
        }
    }
}
