/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package mdeckers.thesis.uantwerp.state;

import java.awt.Component;
import mdeckers.thesis.uantwerp.gui.main.Log;
import mdeckers.thesis.uantwerp.gui.main.MainFrame;
import mdeckers.thesis.uantwerp.model.Project;

/**
 *
 * @author Michael
 */
public class StateKeeper {
    
    private MainFrame view;
    private Project currentProject;
    
    public StateKeeper(Component creator) {
        currentProject = null;
        this.view = (MainFrame) creator;
    }
    
    public void setProject(Project project){
        this.currentProject = project;
        notifyViewProject();
    }
    
    public void updatedProject(){
        notifyViewProjectUpdated();
    }

    private void notifyViewProject() {
        
    }
    
    private void notifyViewProjectUpdated() {
        view.projectUpdated();
    }

    public Project getProject() {
        return this.currentProject;
    }
    
    public void printError(String error){
        Log.error(error);
    }
    
}
